{% extends "allauth/layouts/base.html" %}

{% load i18n %}
{% load account socialaccount %}
{% load django_bootstrap5 %}

{% block head_title %}{% trans "Sign In" %}{% endblock %}

{% block content %}
	<h1>{% trans "Sign In" %}</h1>

	{% get_providers as socialaccount_providers %}

	<div class="row">
		<div class="col-md-6 login-form-1 p-3 mb-md-3" >
			<h3>Social Account</h3>
			{% if socialaccount_providers %}
				<p>
					{% blocktrans with site.name as site_name %}
						Please sign in with one of your existing third party accounts:
					{% endblocktrans %}
				</p>

				<div class="socialaccount_ballot">
					<ul class="socialaccount_providers">
						{% include "socialaccount/snippets/provider_list.html" with process="login" %}
					</ul>
				</div>

				{% include "socialaccount/snippets/login_extra.html" %}
			{% else %}
				<p>
					{% blocktrans %}If you have not created an account yet, then please <a href="{{ signup_url }}">sign up</a> first.{% endblocktrans %}
				</p>
			{% endif %}
		</div>
		<div class="col-md-6 login-form-2 p-3 mb-3">
			<h3>Username & Password</h3>
			<p>
				Sign in using an existing account.
			</p>
			<form class="login" method="POST" action="{% url 'account_login' %}">
				{% csrf_token %}
				{% bootstrap_form form layout="floating" %}
				{% if redirect_field_value %}
					<input type="hidden" name="{{ redirect_field_name }}" value="{{ redirect_field_value }}"/>
				{% endif %}
				{% bootstrap_button _("Sign In") button_type="submit" %}
				{% url 'account_reset_password' as reset_url %}
				{% bootstrap_button _("Forgot Password?") button_class="btn-secondary" href=reset_url %}
			</form>
			<p>
				If you don't already have an account, you can register below:
			</p>
			{% bootstrap_button _("Sign Up") button_class="btn-secondary" href=signup_url %}
		</div>
	</div>
{% endblock %}
